[talk-au] loading JOSM

John Henderson snowgum at gmx.com
Sun Oct 27 04:22:00 UTC 2013


On 27/10/13 12:27, Arthur Geeson wrote:

> Firstly a thank you to the replies I got about the missing bench
> seats that were not appearing on the map.
>
> I have been trying to get JOSM working and it implied that I had a
> version of java that was too old.  I then spend several hours to get
>  a new version of java and now when I try to run JOSM it just falls
> over.

> I am using Ubuntu 12.04

Did you use "apt-get" to install java?  Eg,

	sudo apt-get install java-1.7.0-openjdk

If not, there may be a missing dependency.

I'm no expert on "apt-get" or Ubuntu.  I use Fedora, which uses the
"yum" command instead.

However, josm works just fine on my system, with java-1.7.0-openjdk

	[john at localhost ~]$ java -version
	java version "1.7.0_25"
	OpenJDK Runtime Environment (fedora-2.3.12.1.fc17-i386)
	OpenJDK Server VM (build 23.7-b01, mixed mode)

John




More information about the Talk-au mailing list